<?php
/******************************
 * WoWRoster.net  Roster
 * Copyright 2002-2006
 * Licensed under the Creative Commons
 * "Attribution-NonCommercial-ShareAlike 2.5" license
 *
 * Short summary
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/
 *
 * Full license information
 *  http://creativecommons.org/licenses/by-nc-sa/2.5/legalcode
 ******************************/

if ( !defined('ROSTER_INSTALLED') )
{
    exit('Detected invalid access to this file!');
}

$script_filename = 'addon.php?roster_addon_name='.$_GET['roster_addon_name'].'&amp;action='.$_GET['action'];

// ----[ Decide what to do next ]---------------------------
if( isset($_POST['process']) && $_POST['process'] != '' )
{
	switch ( $_POST['process'] )
	{
		case 'process':
			$password_message .= processData( $_POST );
			break;

		default:
			break;
	}
}
// ----[ End Decide what to do next ]-----------------------



/**
 * Get the current config values
 */
$sql = "SELECT `config_name`, `config_value` FROM `".ROSTER_ALT_CONFIG_TABLE."` ORDER BY `id` ASC;";
$results = $wowdb->query($sql);

if( !$results || $wowdb->num_rows($results) == 0 )
{
	die_quietly('Cannot get Addon configuration from database<br />\nMySQL Said: '.$wowdb->error(),'AltMonitor',__FILE__,__LINE__, $query );
}

/**
 * Fill the config array with values
 */
while( $row = $wowdb->fetch_assoc($results) )
{
	$addon_conf['AltMonitor'][$row['config_name']] = stripslashes($row['config_value']);
}
$wowdb->free_result($results);

$db_values = getConfigData();

$conf_arrays = explode('|',$db_values['master']['config_list']['value']);


// ----[ Build the menu ]--------------------------------
$menu = '
<!-- Begin Config Menu -->
'.border('sgray','start','Config Menu').'
<div style="width:145px;">
  <ul id="tab_menu">'."\n";

foreach($conf_arrays as $type)
{
	$menu .= '    <li><a href="#" onclick="return expandcontent(\''.$type.'\',this)">'.$wordings[$roster_conf['roster_lang']]['admin'][$type].'</a></li>'."\n";
}

$menu .='
    <li><a href="http://www.wowroster.net/wiki/index.php/Roster:Addon:AltMonitor" target="_new">Documentation</a></li>
    <li><a href="?roster_addon_name='.$_GET['roster_addon_name'].'&amp;action=update" target="_new">'.$wordings[$roster_conf['roster_lang']]['updMainAlt'].'</a>
  </ul>
</div>
'.border('sgray','end').'
<!-- End Config Menu -->';



$form_start = "<form action=\"$script_filename\" method=\"post\" enctype=\"multipart/form-data\" id=\"config\" onsubmit=\"submitonce(this)\">\n";

$submit_button = "<input type=\"submit\" value=\"Save Settings\" />\n<input type=\"reset\" name=\"Reset\" value=\"Reset\" />\n<input type=\"hidden\" name=\"process\" value=\"process\" />\n<br /><br />\n";

$form_end = "</form>\n";


// Build the page
$html = '';
foreach($conf_arrays as $type)
{
	$i = 0;
	$html .= "<div id=\"$type\" style=\"display:none;\">\n".border('sblue','start',$wordings[$roster_conf['roster_lang']]['admin'][$type])."\n<table cellspacing=\"0\" cellpadding=\"0\" class=\"bodyline\">\n";

	foreach($db_values[$type] as $values)
	{
		// Here is my nifty auto form generator
		// Takes `form_type` from the db and parses it for form type values and labels
		// Any un-handled form type will cause this file to just display the current value

		// Figure out input type
		$input_field = '';
		$input_type = explode('{',$values['form_type']);

		switch ($input_type[0])
		{
			case 'text':
				$length = explode('|',$input_type[1]);
				$input_field = '<input name="config_'.$values['name'].'" type="text" value="'.$values['value'].'" size="'.$length[1].'" maxlength="'.$length[0].'" />';
				break;

			case 'radio':
				$options = explode('|',$input_type[1]);
				foreach( $options as $value )
				{
					$vals = explode('^',$value);
					$input_field .= '<label class="'.( $values['value'] == $vals[1] ? 'blue' : 'white' ).'"><input class="checkBox" type="radio" name="config_'.$values['name'].'" value="'.$vals[1].'" '.( $values['value'] == $vals[1] ? 'checked="checked"' : '' ).' />'.$vals[0]."</label>\n";
				}
				break;

			case 'select':
				$options = explode('|',$input_type[1]);
				$input_field .= '<select name="config_'.$values['name'].'">'."\n";
				$select_one = 1;
				foreach( $options as $value )
				{
					$vals = explode('^',$value);
					if( $values['value'] == $vals[1] && $select_one )
					{
						$input_field .= '  <option value="'.$vals[1].'" selected="selected">&gt;'.$vals[0].'&lt;</option>'."\n";
						$select_one = 0;
					}
					else
					{
						$input_field .= '  <option value="'.$vals[1].'">'.$vals[0].'</option>'."\n";
					}
				}
				$input_field .= '</select>';
				break;

			case 'function':
				$input_field = $input_type[1]();
				break;

			case 'display':
				$input_field = $values['value'];
				break;

			default:
				$input_field = $values['value'];
				break;
		}

		$html .= '
	<tr>
		<td class="membersRow'.(($i%2)+1).'">'.createTip($values['description'],$values['tooltip'],$values['description']).'</td>
		<td class="membersRowRight'.(($i%2)+1).'"><div align="right">'.$input_field.'</div></td>
	</tr>';

		$i++;
	}
	$html .= "</table>\n".border('sblue','end')."\n</div>\n";
}

// ----[ Render the entire page ]---------------------------
print
'<script type="text/javascript" language="JavaScript">
<!--
	//Set tab to intially be selected when page loads:
	//[which tab (1=first tab), ID of tab content to display]:
	var initialtab=['.$addon_conf['AltMonitor']['startpage'].', \''.$conf_arrays[$addon_conf['AltMonitor']['startpage']-1].'\'];
	window.onload=do_onload;
	window.onunload=savetabstate;
//-->
</script>
<span class="title_text">'.$wordings[$roster_conf['roster_lang']]['AltMonitor_config_page'].'</span><br />'.
$password_message.
'<br /><br />
<table width="100%">
  <tr>
    <td valign="top" align="left">
      '.$menu.'
    </td>
    <td valign="top" align="center">
      '.$form_start.$submit_button.$html.$form_end.'
    </td>
  </tr>
</table>';




if( $wowdb->sqldebug )
{
	if( is_array($queries) )
	{
		print "<!--\n";
		foreach( $queries as $sql )
		{
			print "$sql\n";
		}
		print "-->\n";
	}
}









/**
 * Process Data for entry to the database
 *
 * @param array $post | $_POST array
 * @param string $config_name | db id to process
 */
function processData( $post )
{
	global $wowdb, $queries;

	$wowdb->reset_values();

	// Update only the changed fields
	foreach( $post as $settingName => $settingValue )
	{
		if( substr($settingName,0,7) == 'config_' )
		{
			$settingName = str_replace('config_','',$settingName);

			// Fix directories
			if( $settingName == 'img_url' || $settingName == 'interface_url' )
			{
				// Replace back-slashes
				$settingValue = preg_replace('|\\\\|','/',$settingValue );

				// Check for directories defined with no '/' at the end
				// and with a '/' at the beginning
				if( substr($settingValue, -1, 1) != '/' )
				{
					$settingValue .= '/';
				}
				if( substr($settingValue, 0, 1) == '/' )
				{
					$settingValue = substr($settingValue, 1);
				}
			}

			// Fix roster url
			if( $settingName == 'roster_dir' )
			{
				// Replace back-slashes
				$settingValue = preg_replace('|\\\\|','/',$settingValue );

				// Check for directories defined with no '/' at the end
				// and take it off
				if( substr($settingValue, -1, 1) == '/' )
				{
					$settingValue = substr($settingValue, 0, -1);
				}
			}

			$get_val = "SELECT `config_value` FROM `".ROSTER_ALT_CONFIG_TABLE."` WHERE `config_name` = '".$settingName."';";
			$result = $wowdb->query($get_val)
				or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$get_val);

			$config = $wowdb->fetch_assoc($result);

			if( $config['config_value'] != $settingValue && $settingName != 'process' )
			{
				$update_sql[] = "UPDATE `".ROSTER_ALT_CONFIG_TABLE."` SET `config_value` = '".$wowdb->escape( $settingValue )."' WHERE `config_name` = '".$settingName."';";
			}
		}
	}

	// Update DataBase
	if( is_array($update_sql) )
	{
		foreach( $update_sql as $sql )
		{
			$queries[] = $sql;

			$result = $wowdb->query($sql);
			if( !$result )
			{
				return '<span style="color:#0099FF;font-size:11px;">Error saving settings</span><br />MySQL Said:<br /><pre>'.$wowdb->error().'</pre><br />';
			}
		}
		return '<span style="color:#0099FF;font-size:11px;">Settings have been changed</span>';
	}
	else
	{
		return '<span style="color:#0099FF;font-size:11px;">No changes have been made</span>';
	}
}



/**
 * Get roster config data
 *
 * @return array on success, error string on failure
 */
function getConfigData ()
{
	global $wowdb, $wordings, $roster_conf, $addon_conf;

	$sql = "SELECT * FROM `".ROSTER_ALT_CONFIG_TABLE."` ORDER BY `id` ASC;";

	// Get the current config values
	$results = $wowdb->query($sql);
	if( $results && $wowdb->num_rows($results) > 0 )
	{
		while($row = $wowdb->fetch_assoc($results))
		{
			$setitem = stripslashes($row['config_type']);
			$arrayitem = stripslashes($row['config_name']);

			$db_values[$setitem][$arrayitem]['id'] = $row['id'];
			$db_values[$setitem][$arrayitem]['name'] = stripslashes($row['config_name']);
			$db_values[$setitem][$arrayitem]['config_type'] = stripslashes($row['config_type']);
			$db_values[$setitem][$arrayitem]['value'] = stripslashes($row['config_value']);
			$db_values[$setitem][$arrayitem]['form_type'] = stripslashes($row['form_type']);

			// Get description and tooltip
			$desc_tip = explode('|',$wordings[$roster_conf['roster_lang']]['admin'][$row['config_name']]);

			$db_values[$setitem][$arrayitem]['description'] = $desc_tip[0];

			$db_val_line = '<br /><br /><span style="color:#FFFFFF;font-size:10px;">db name: <span style="color:#0099FF;font-size:10px;">'.$row['config_name'].'</span></span>';
			$db_values[$setitem][$arrayitem]['tooltip'] = $desc_tip[1].$db_val_line;

		}
		return $db_values;
	}
	else
	{
		return $wowdb->error();
	}
}


/**
 * Create a tooltip
 *
 * @param string $disp_text | Text to hover over
 * @param string $content | Content in tooltip
 * @param string $caption | Text in the caption
 * @return string ( Overlib styled tooltip )
 */
function createTip( $disp_text , $content , $caption )
{
	$content = str_replace("'","\'", $content);
	$content = str_replace('"','&quot;', $content);

	$caption = str_replace("'","\'", $caption);
	$caption = str_replace('"','&quot;', $caption);

	$tipsettings = ",WRAP";

	if( !empty($caption) )
		$caption2 = ",CAPTION,'$caption'";

	$tip = "<div style=\"cursor:help;\" onmouseover=\"return overlib('$content'$caption2$tipsettings);\" onmouseout=\"return nd();\">$disp_text</div>";

	return $tip;
}


function rosterLangValue()
{
	global $roster_conf, $addon_conf;

	$input_field = '<select name="config_roster_lang">'."\n";
	$select_one = 1;
	foreach( $roster_conf['multilanguages'] as $value )
	{
		if( $value == $roster_conf['roster_lang'] && $select_one )
		{
			$input_field .= '  <option value="'.$value.'" selected="selected">&gt;'.$value.'&lt;</option>'."\n";
			$select_one = 0;
		}
		else
		{
			$input_field .= '  <option value="'.$value.'">'.$value.'</option>'."\n";
		}
	}
	$input_field .= '</select>';

	return $input_field;
}

?>